Skip to main content
GET
/
api2
/
v1
/
projects
/
{projectUid}
/
mtSettings
Get project machine translate settings
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/mtSettings \
  --header 'Authorization: <api-key>'
{
  "mtSettingsPerLangList": [
    {
      "targetLang": "<string>",
      "machineTranslateSettings": {
        "id": "<string>",
        "uid": "<string>",
        "baseName": "<string>",
        "name": "<string>",
        "type": "<string>",
        "category": "<string>",
        "default_": true,
        "includeTags": true,
        "mtQualityEstimation": true,
        "enabled": true,
        "args": {},
        "langs": {
          "id": "<string>",
          "sourceLang": "<string>",
          "targetLangs": [
            "<string>"
          ]
        }
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required

Response

successful operation

mtSettingsPerLangList
object[]